<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class TradeMistake extends Model
{
    protected $fillable = [
        'trade_id',
        'mistake_tag_id',
        'user_id',
    ];

    public function trade(): BelongsTo
    {
        return $this->belongsTo(Trade::class);
    }

    public function mistakeTag(): BelongsTo
    {
        return $this->belongsTo(MistakeTag::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
